Name:		guilt
Version:	0.35
Release:	alt1_7
Summary:	Scripts to manage quilt-like patches on top of git

Group:		Development/Tools
License:	GPLv2
URL:		http://www.kernel.org/pub/linux/kernel/people/jsipek/%{name}/
Source:		http://www.kernel.org/pub/linux/kernel/people/jsipek/%{name}/%{name}-%{version}.tar.bz2
Requires:	git gawk sed bash
Conflicts:	git >= 1.9

Patch0:		guilt-tests-git-workaround.patch
Patch1:		guilt-git-1.8.patch

BuildArch:	noarch
BuildRequires:	asciidoc xmlto git-core
Source44: import.info

%description
Guilt allows one to use quilt functionality on top of a Git repository.
Changes are maintained as patches which are committed into Git.  Commits can
be removed or reordered, and the underlying patch can be refreshed based on
changes made in the working directory. The patch directory can also be
placed under revision control, so you can have a separate history of changes
made to your patches.

%prep
%setup -q

%patch0 -p1
%patch1 -p1

%build
make ASCIIDOC='asciidoc --unsafe' %{?_smp_mflags}

%install
make install PREFIX=$RPM_BUILD_ROOT/usr
make install-doc PREFIX=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT/usr/share/man

%check
make test

%files
%doc COPYING Documentation/HOWTO Documentation/Contributing Documentation/Features
%{_bindir}/guilt
%{_prefix}/lib/*
%{_mandir}/man1/guilt*.1*
%{_mandir}/man7/guilt*.7*

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.35-alt1_7
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.35-alt1_5
- initial fc import

